Bug 178000

Summary: [WinCairo] Add WebKit platform files for wincairo webkit
Product: WebKit Reporter: Yousuke Kimoto <Yousuke.Kimoto>
Component: WebKit2Assignee: Nobody <webkit-unassigned>
Status: RESOLVED FIXED    
Severity: Normal CC: achristensen, andersca, bfulgham, buildbot, commit-queue, don.olmstead, webkit-bug-importer
Priority: P2 Keywords: InRadar
Version: WebKit Nightly Build   
Hardware: Unspecified   
OS: Unspecified   
Attachments:
Description Flags
[PATCH] WebKit platform files for wincairo webkit
none
[PATCH] WebKit platform files for wincairo webkit
none
[PATCH] WebKit platform files for wincairo webkit none

Description Yousuke Kimoto 2017-10-06 01:22:16 PDT
Add files under WebKit/Platform for wincairo webkit.
Comment 1 Yousuke Kimoto 2017-10-06 06:11:41 PDT
Created attachment 323014 [details]
[PATCH] WebKit platform files for wincairo webkit
Comment 2 Anders Carlsson 2017-10-06 09:07:06 PDT
I don't think these files have the right copyright headers - there are comments referring to old bugs such as https://bugs.webkit.org/show_bug.cgi?id=47502.
Comment 3 Yousuke Kimoto 2017-10-12 23:11:02 PDT
Created attachment 323641 [details]
[PATCH] WebKit platform files for wincairo webkit

Copyrights which are used in LoggingWin.cpp, ModuleWin.cpp and SharedMemoryWin.cpp are fixed.
Comment 4 Build Bot 2017-10-12 23:14:22 PDT
Attachment 323641 [details] did not pass style-queue:


ERROR: Source/WebKit/PlatformWin.cmake:24:  Alphabetical sorting problem. "Platform/win/LoggingWin.cpp" should be before "Shared/curl/WebCoreArgumentCodersCurl.cpp".  [list/order] [5]
Total errors found: 1 in 7 files


If any of these errors are false positives, please file a bug against check-webkit-style.
Comment 5 Yousuke Kimoto 2017-10-13 09:12:29 PDT
Created attachment 323678 [details]
[PATCH] WebKit platform files for wincairo webkit

Fixed a style check error.
Comment 6 Alex Christensen 2017-10-25 11:13:40 PDT
Comment on attachment 323678 [details]
[PATCH] WebKit platform files for wincairo webkit

View in context: https://bugs.webkit.org/attachment.cgi?id=323678&action=review

> Source/WebKit/Platform/win/LoggingWin.cpp:50
> +    return String(buffer.get());

Is buffer null-terminated?  Could we use length here?
Comment 7 WebKit Commit Bot 2017-10-25 11:38:52 PDT
Comment on attachment 323678 [details]
[PATCH] WebKit platform files for wincairo webkit

Clearing flags on attachment: 323678

Committed r223966: <https://trac.webkit.org/changeset/223966>
Comment 8 WebKit Commit Bot 2017-10-25 11:38:53 PDT
All reviewed patches have been landed.  Closing bug.
Comment 9 Radar WebKit Bug Importer 2017-11-15 13:12:37 PST
<rdar://problem/35569011>